spring:
  shardingsphere:
    datasource:
      ds0:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://192.168.1.65:43306/mvp_social?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
        username: root
        password: yf_zsk
        hikari:
          driver-class-name: ${spring.datasource.driver-class-name}
          jdbc-url: ${spring.datasource.url}
          username: ${spring.datasource.username}
          password: ${spring.datasource.password}
          pool-name: AmytangHikariCP
          minimum-idle: 10 # 最小空闲连接数量
          idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
          maximum-pool-size: 12 # 连接池最大连接数，默认是10
          auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
          max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
      names: ds0
    rules:
      sharding:
        key-generators:
          snowflake:
            type: SNOWFLAKE
        sharding-algorithms:
          t-payment-inline:
            props:
              strategy: standard
              algorithmClassName: com.yifu.cloud.plus.v1.yifu.social.config.OTAStrategyShardingAlgorithm
            type: CLASS_BASED
        tables:
          t_payment_info:
            actual-data-nodes: ds0.t_payment_info_20$->{17..26}
            key-generate-strategy:
              column: ID
              key-generator-name: snowflake
            table-strategy:
              standard:
                sharding-column: CREATE_TIME
                sharding-algorithm-name: t-payment-inline

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: dev
  redis:
    host: 127.0.0.1
    port: 6379
    password: '@yf_2017'
#社保士兵相关属性配置
soldier:
  authorizations : Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJmODA2ZjRlYzYzZjY0NjVlOGFlZjRmZmVlOTYwMzcxNiIsInN1YiI6IjIiLCJ1c2VyX3Bob25lIjoiIiwidXNlcl90eXBlIjoiMTAiLCJ1c2VyX25hbWUiOiLmtYvor5UiLCJpc19hcHAiOiIxIiwiVXNlcklkIjoiMiIsIm5iZiI6MTcxMjg5Mjk1OCwiZXhwIjoxNzIzMjYwOTU4LCJpYXQiOjE3MTI4OTI5NTh9.oTmhLfv1tLq8aPOfO3LeqM1IDYT76YGXkqpz3dwBX4M
  urlPre : http://172.16.24.66:55555
  #线上社保士兵，一般不允许用，用之前要清理测试环境当月的社保自动化数据，否则有可能产生费用
  #原先的老的 ： authorizations: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiI2MzcwYWIyZDRhZTI0NjQ2YTg0MTE0Mzk1Y2M2MTkzMiIsInN1YiI6IjQiLCJ1c2VyX3Bob25lIjoiIiwidXNlcl90eXBlIjoiMTAiLCJ1c2VyX25hbWUiOiLlkIjogqXnpL7kv53lo6vlhbVBUEkiLCJpc19hcHAiOiIxIiwiVXNlcklkIjoiNCIsIm5iZiI6MTcxNjE3OTIxOSwiZXhwIjoxNzI2NTQ3MjE5LCJpYXQiOjE3MTYxNzkyMTl9.Ei-52hRlfMLXLzpzmbP2xCVFZKE5sHHexzfX5PtmZ_M
  #authorizations: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiI3ZmRjOGJmYWM0Yjg0NTkzYmMzNjllYzAwN2ExODgzZCIsInN1YiI6IjQiLCJ1c2VyX3Bob25lIjoiIiwidXNlcl90eXBlIjoiMTAiLCJ1c2VyX25hbWUiOiLlkIjogqXnpL7kv53lo6vlhbVBUEkiLCJpc19hcHAiOiIxIiwiVXNlcklkIjoiNCIsIm5iZiI6MTcyNjcxMjQzOSwiZXhwIjo1NTExMDMyNDM5LCJpYXQiOjE3MjY3MTI0Mzl9.o91Ay4hRJofg76WCColUaixuyOyWvsuMDTWZMKSThc0
  #urlPre: http://60.168.131.18:55555

#税友相关属性配置
socialFriend:
  #测试
  urlPre : https://test-openapi.17win.com
  #线上
  #urlPre : https://openapi.17win.com
  urlPushAdd : /gateway/socins/hrss/employee/v2/register
  urlGetInfoAdd : /gateway/socins/hrss/employee/v2/getRegisterFeedback
  urlPushReduce : /gateway/socins/hrss/employee/v2/stop
  urlGetInfoReduce : /gateway/socins/hrss/employee/v2/getStopFeedback
  urlDownloadEmployeeAsync: /gateway/pts/hrss/sourceFile/downloadEmployeeAsync
  urlDownloadEmployeeFeedback: /gateway/pts/hrss/sourceFile/downloadEmployeeFeedback
  urlUpload : /gateway/file/upload
  #测试
  appKey : 89357285571962202409230949030
  appSecret : V52dkvxtFUgIvzlfNE9G8g==
  #线上
  #appKey : 3082B14EE2114C2D93B3A222DD925C26=
  #appSecret : VmURqoxqmoKnNLXzAWynqQ==
  
#企业微信配置
wx:
  corpid: wwbcb090af0dfe50e5
  corpsecret: 16kqEL_eU-ARwYyqLgEBWHgxm8gXVnkzv_eJMLy9NpU
  agentid: 1000010
  authUrl: https://test-wx.worfu.com/yifu-auth/method/oauth/wxLogin
  domainName: https://test-wx.worfu.com